check-pkg-list: Made unified error messages

This commit is contained in:
Anton Midyukov 2022-04-10 00:44:39 +07:00
parent db3892ab0c
commit dad8f98e65

View File

@ -12,7 +12,10 @@
RET_ERROR=
error() { echo `basename $0`: $* >&2; exit 1; }
error() {
echo `basename $0`: $* >&2
exit 1
}
exit_handler() {
local rc=$?
@ -51,7 +54,7 @@ check_pkglist() {
grep -q "$pattern" "$favaillist" || echo "$i" >> "$fpkgerrors"
done < "$fpkgwildcards"
if [ -s "$fpkgerrors" ]; then
echo "Error: Packages are not available in $fprofilelist:" >&2
echo "** error: Packages are not available in $fprofilelist:" >&2
RET_ERROR=1
cat $fpkgerrors >&2
fi